TITLE: Existence and uniqueness of an Euler-type ODE with varying parameters
QUESTION [6 upvotes]: Consider this ODE on $[1, \infty)$
$(r^2 - 2ar)f''(r) + 2(r-a) f'(r) - ({4a} + m(m+1))f(r) = -4af(1) $
with initial conditions
$\frac{a}{1-2a} f(1) + f'(1) = C, \qquad \lim_{r\to \infty} f(r) = 0$
where $0\leq a < \frac{1}{2}$, $m$ is a positive integer, and $C \in \mathbb{R}$.
I want to ask if there exists a unique solution (at least for $a$ small enough).
If $a=0$, then this becomes the Euler equation:
$r^2f''(r) + 2r f'(r) - (m(m+1))f(r) = 0 $
$ f'(1) = C, \qquad \lim_{r\to \infty} f(r) = 0$
which we know the unique solution is:
$f(r) = \frac{-C}{\alpha r^{\alpha}}$
where $\alpha = \frac{1}{2} + \frac{\sqrt{1+4m(m+1)}}{2}$
Can I prove existence and/or uniqueness for the $a>0$ case using some kind of continuity method?
I know for instance that injectivity is a continuous property for elliptic operators, and one has the method of continuity to prove surjectivity of a 1-parameter family of elliptic operators.
Is there something similar in this context?
Any help or references is appreciated.
$\textbf{EDIT} $: I wrote the equations incorrectly above. I apologize for that. I allowed the right side to decay to $0$ and so I believe it's possible to prove existence now. Here are the correct equations:
$(r^2 - 2ar)f''(r) + 2(r-a) f'(r) - \left(\frac{4a^2}{r(r-2a)} + m(m+1)\right)f(r) = -\frac{4a^2}{r(r-2a)}f(1)+ \frac{4a(1-2a)}{(1-a)r(r-2a)} C $
with initial conditions
$f'(1) = C, \qquad \lim_{r\to \infty} f(r) = 0$
There is an ODE that is somehow related to the above non-local differential equation.
$(r^2 - 2ar)f''(r) + 2(r-a) f'(r) - \left(\frac{4a^2}{r(r-2a)} + m(m+1)\right)f(r) = -\frac{2a}{r(r-2a)} D $
with initial conditions
$\frac{2a}{1-2a}f(1) + \frac{2}{1-a}f'(1) = D, \qquad \lim_{r\to \infty} f(r) = 0$
where $D$ is any real number.

REPLY [6 votes]: As Iosif said, in general the system you specified does not admit a solution. Here we will give a more pedestrian argument using only comparisons.
Monotonicity
Claim: if a solution exists, and $f(1) > 0$, then the function is monotonically decreasing; if $f(1) < 0$, then the function is monotonically increasing.
Proof: we will focus on the positive case. The negative case is similar.
Let $\zeta = \frac{4a}{4a + m(m+1)} \in (0,1)$ (if $a\in (0,\frac12)$). The second derivative test shows that $f$ cannot have a local maximum with $f(r) > \zeta f(1)$ or a local minimum with $f(r) < \zeta f(1)$. This immediately implies monotonicity in light of $f(1) > 0 = \lim f(r)$.

More details on monotonicity proof: Given $f(1) > f(\infty) = 0$. Suppose $f$ were not monotonic. Then there exists $r_m, r_M$ with $1 < r_m < r_M < \infty$ such that $f(r_m) < f(r_M)$.
I claim that $f(r_M) > 0$ and $f(r_m) < f(1)$. Suppose not: if $f(r_M) \leq 0$ then $f(r_m) < 0$ and $f$ would have a negative local minimum, in contradiction to the second derivative test. If $f(r_m) \geq f(1)$ then $f$ would have a local maximum with value $> f(1)$, against in contradiction to the second derivative test.
Therefore there must exist a local minimum $s_m\in (1,r_M)$ with $f(s_m) \leq f(r_m)$ and a local maximum $s_M\in (r_m,\infty)$ with $f(s_M) \geq f(r_M)$.
We have therefore established
$$ \zeta f(1) \leq f(s_m) < f(s_M) \leq \zeta f(1) $$
which is a contradiction.

In particular, we must have $f' \leq 0$ on $[1,\infty)$.
Comparison
We have then
$$ f'(1) - f'(r) = -\int_1^r f''(s) ~ds = \int_1^r \frac{4a}{s^2 - 2as} f(1) - \frac{4a + m(m+1)}{s^2 - 2a s} f(s) + \frac{2(s-a)}{s^2 - 2as} f'(s) ~ds $$
Since $f'$ is signed, we know that it is absolutely integrable on $[1,\infty)$. Since $f$ is monotonic (and hence bounded) the second integrand is also absolutely integrable. We conclude then that $\lim_{r\to\infty} f'(r)$ exists.
Since $\lim_{r\to\infty} f(r) = 0$, we must have also $\lim_{r\to\infty} f'(r) = 0$.
But now writing $f'(r) = - \int_r^\infty f''(s) ~ds$ using the above formula, we see that asymptotically $|f'(r)| \sim \frac1r$ (coming from the $4a f(1)$ term if it is non-zero; the other two terms can both be bounded by $O(1/r) f(r) = o(1/r)$). But this contradicts the integrability of $f'(r)$.
And hence we have proved:
Claim: no solution can exist with $f(1) \neq 0$.
Uniqueness
When $f(1) = 0$, the same maximum principle argument shows that $f$ must be identically zero. This shows that
Theorem The only solution to your system is $f \equiv 0$, with $f(1) = f'(1) = 0$ and $C = 0$.
Final remark
Heuristically, if you want to look for asymptotically constant solutions to your equation, you probably want it to converge to $\zeta f(1)$ in the limit.

REPLY [5 votes]: First of all, your main equation contains $f(1)$ and therefore is not an ODE. Let us consider the ODE
\begin{equation*}
    (r^2 - 2ar)f''(r) + 2(r-a) f'(r) - (4a + m(m+1))f(r) = p, \tag{1}
\end{equation*}
where $p$ is a real number; your equation corresponds to (1) with
\begin{equation}
    p=-4af(1). \tag{2}
\end{equation}
The general real solution of (1) is given by
\begin{equation*}
    f(r)=f_p(r):=
c_1 P_s\left(\frac{r}{a}-1\right)+c_2
   Q_s\left(\frac{r}{a}-1\right)-\frac{p}{4 a+m^2+m},
\end{equation*}
where $c_1$ and $c_2$ are arbitrary real constants;
$P_s$ and $Q_s$ are, respectively, the Legendre functions of the first and second kinds whose values are real on $(1,\infty)$; and
\begin{equation*}
    s:={\frac{1}{2} \left(\sqrt{4 m^2+4 m+16 a+1}-1\right)}>1. 
\end{equation*}
Obtaining now the root (say $p_*$) of the equation $p=-4af_p(1)$ (cf. (2)) for $p$ and substituting $p_*$ for $p$, we get the general solution $F$ of your main equation:
\begin{equation*}
    F(r):=f_{p_*}(r)=
c_1 P_s\left(\frac{r}{a}-1\right)
+c_2 Q_s\left(\frac{r}{a}-1\right)+c_1 A+c_2 B,
\end{equation*}
where
\begin{equation*}
A:= \frac{4 a P_s\left(\frac{1}{a}-1\right)}{m (m+1)},\quad
B:=\frac{4 a Q_s\left(\frac{1}{a}-1\right)}{m(m+1)}.
\end{equation*}
According to Sections 15.23 and 15.33 of Whittaker and Watson, 4th ed.,
\begin{equation*}
P_s(\infty-)=\infty,\quad Q_s(\infty-)=0,\quad Q_s>0\text{ on }(1,\infty). \tag{3}  
\end{equation*}
So, the condition $F(\infty-)=0$ implies that $c_1=0$ and hence
\begin{equation*}
    F(\infty-)=
c_2 B. 
\end{equation*}
Also, if $a\in(0,1/2)$, then the inequality in (3) implies $B>0$. So, $F(\infty-)\ne0$ -- unless $c_2=0$ and hence $F=0$.
Thus, there is no nonzero solution to your differential problem.